/* these are the site colors, replace them with anything you want!
 * this version is highly customizable... use simple-style.css for quicker editing if you don't care too much about the specifics!*/
@media (prefers-color-scheme: light){
  :root {
  --site-bg: #edd6fc;
  /*or like this for just a solid color:*/
  /*--site-bg: #FFE1C6; */
  
  --post-bg: #e0c6c6;
  --post-text: #23011f;
  --post-header-text: #7b2371;
  --border-color: #bb6060;
  --border-shadow: #e0c6c6;
  
  --sidebar-text: #4E223D;
  --sidebar-bg: #FFD2E0;
  --sidebar-button-bg: #bb6060;
  --sidebar-button-bg-hover: #FFE1C6;
  --sidebar-button-text: #4E223D;
  --sidebar-button-text-hover: #DA587E;
  --sidebar-border-color: #DA587E;
  
 /*this is for the collapsible sections at the top (status and tag filters)*/
  --pinned-text: #4E223D;
  --pinned-bg: #FFD2E0;
  /*tag filter button colors*/
  --button-bg: #FFD2E0;
  --button-bg-hover: #FFE1C6;
  --button-bg-selected: #FB8AAB;
  --button-text: #4E223D;
  --button-border-color: #DA587E;
  
  /*these next two colors are for when you highlight text on the page*/
  --selected-bg: #bde0ff;
  --selected-text: #5244c8;
}
}

@media (prefers-color-scheme: dark){
  :root {
  --site-bg: #22151f;
  /*or like this for just a solid color:*/
  /*--site-bg: #FFE1C6; */
  
  --post-bg: #382d3a;
  --post-text: #c2cbd6;
  --post-header-text: #9f67d3;
  --border-color: #815b7e;
  --border-shadow: black;
  
  --sidebar-text: #9f67d3;
  --sidebar-bg: #382d3a;
  --sidebar-button-bg: #22151f;
  --sidebar-button-bg-hover: #815b7e;
  --sidebar-button-text: #4E223D;
  --sidebar-button-text-hover: #cc8076;
  --sidebar-border-color: #815b7e;
  
 /*this is for the collapsible sections at the top (status and tag filters)*/
  --pinned-text: #c2cbd6;
  --pinned-bg: #22151f;
  /*tag filter button colors*/
  --button-bg: #382d3a;
  --button-bg-hover: #815b7e;
  --button-bg-selected: #cc8076;
  --button-text: #4E223D;
  --button-border-color: #815b7e;
  
  /*these next two colors are for when you highlight text on the page*/
  --selected-bg: #bde0ff;
  --selected-text: #5244c8;
}
}

/*the fonts used for this template are available here: 
 * https://fonts.google.com/specimen/Atkinson+Hyperlegible
 * https://fonts.google.com/specimen/Nunito
 * 
 * if you don't include these files in a "fonts" folder on your website, your browser will try to substitute the next closest thing...
*/
@font-face {
  font-family: Nunito;
  src: url('/fonts/Nunito-Black.ttf');
  font-weight: bold;
}
@font-face {
    font-family: Atkinson Hyperlegible;
    src: url('/fonts/AtkinsonHyperlegible-Regular.ttf');
}

@font-face {
    font-family: Atkinson Hyperlegible;
    src: url('/fonts/AtkinsonHyperlegible-Bold.ttf');
    font-weight: bold;
}

html {scroll-behavior: smooth;}
::selection {
  background: var(--selected-bg);
  color: var(--selected-text);
}

* {
  box-sizing: border-box;
  /*custom scrollbar colors~ i think it only works on some browsers tho...*/
  scrollbar-color: var(--border-color) var(--post-bg);
  scrollbar-width: thin;
  margin: 0;
  padding: 0;
}

body {
    /*change the main font here*/
    font-family: 'Atkinson Hyperlegible', Verdana, Tahoma, sans-serif;
    font-size: 16px;
    background: var(--site-bg);
    color: var(--post-text);
    line-height: 1.6em;
    /*if you use a bg image, this will keep it from scrolling*/
    background-attachment: fixed;
    min-width: 400px;
    }

#container{
    /* padding: 10px; */
    margin-top: 10px;
}

main{
    margin-top: 10px;
}

aside{
    width: 90%;
    margin: 0 auto;
}

blockquote{
  background-color: var(--pinned-bg);
  border-radius: 5px;
  border-left: 4px solid var(--border-color);
  margin: 1em auto;
  width: 90%;
  padding: 1em 0.75em;
  line-height: 1.5;
}

#sidebar-content{
    background-color: var(--sidebar-bg);
    outline: 4px solid var(--sidebar-bg);
    color: var(--sidebar-text);
    padding: 0.75em 1.25em;
    border-radius: 1em;
    box-shadow: 2px 2px 6px var(--border-shadow);

}

#sidebar-content header {
    color: var(--title);
    font: 1.8em var(--headerfont);
    margin: 8px;
    margin: 0 auto;
    
}

#sidebar-content h1 a {
  font-size: 1.2em;
  line-height: 1;
}

#sidebar h1 a,
#sidebar a:hover {text-decoration: none;}

/*link text in the sidebar should be the same color*/
#sidebar-content a {
  color: var(--sidebar-text);
}

#sidebar-content header a,
#sidebar a:hover {text-decoration: none;}

#sidebar-content p a {
    color: var(--sidebarlink);
    transition: 0.5s ease;
}

#sidebar-content p a:hover {
    color: var(--sidebarlinkhover);
    transition: 0.5s ease;
}

/*center the icon in the sidebar*/
.icon {
    margin: 0 auto;
    /* border: 1px solid black; */
}
.icon img {
  /*this makes it a circle, lower the number for a rounded square*/
  border-radius:50%;
  width: 80%;
  max-width:150px;
  /* border: 5px dashed black; */
  margin: 0 auto;
}
/*these styles are for when your icon image is being used as a link, it just makes it react on mouseover*/
.icon a img {
  outline: 2px solid var(--sidebar-bg);
  /*adds animation to the outline*/
  transition: .2s;
}

.icon a img:hover {
  outline: 2px solid var(--sidebar-text);
  outline-offset: 4px;
}

main{
  margin: 0.5em auto;
  width: 90%;
}

/*profile text doesnt need as much spacing as the posts do*/
    #profile p {
    margin-block: .3em;
    line-height: 1.5em;
    }
    /*styling the simple bio block*/
    #bio {
    border-block: 2px dashed var(--sidebar-border-color);
    padding-block: .5em;
    margin-block: 1em;
    font-size: small;
    }

    /*for the rounded link buttons!*/
    #sidebar nav ul {
    text-align: center;
    vertical-align: middle;
    margin-top: 0;
    margin-bottom: 1em;
    padding: 0;
    list-style-type: none;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 8px;
    justify-content: space-evenly;
    }
    #sidebar nav li a {
    /*set a width so they're the same size*/
    min-width: 150px;
    display: inline-block;
    background: var(--sidebar-button-bg);
    color: var(--sidebar-button-text);
    font-weight: bold;
    border-radius: 1rem;
    outline: 2px solid #fff0;
    transition: .2s;
    text-decoration: none;
    }
    #sidebar nav li a:visited {color: var(--sidebar-text);}
    #sidebar nav li a:hover {
    background: var(--sidebar-button-bg-hover);
    color: var(--sidebar-button-text-hover);
    outline: 2px solid var(--sidebar-text);
    outline-offset: 3px;
    }

 /*for the collapsible sections at the top (status and tag filters)*/
.pinned {
  background: var(--pinned-bg);
  font-size: smaller;
  padding: .5em;
  border-radius: 1em;
  margin: 1em 0;
  border: 2px solid var(--border-color);
  outline: 2px solid var(--post-bg);
  box-shadow: 2px 2px 6px var(--border-shadow);
}
/*the heading for those blocks*/
.pinned summary {
  color: var(--sidebar-text);
  font-size: 1.5em;
  font-weight: bold;
  border-bottom: 2px dashed var(--border-color);
  margin: .5em;
}
/*since the summary uses the special font, switch back to the other one for the timestamp*/
.pinned time {
  font-family: 'Atkinson Hyperlegible', Verdana, Tahoma, sans-serif;
  float: right;
  font-weight: normal;
  font-size: small;
}

/*the list with the alternating colors! (cute!!!)*/
#status ul {
  background: var(--post-bg);
  margin:.5em;
  padding:.5em;
  border-radius: .5em;
}
#status li {
  list-style-type: none;
  padding: .2em;
}
/*list title, ie "reading:"*/
#status li:nth-child(odd) {
  font-weight: bold;
  font-size: 1.2em;
  color: var(--post-header-text);
}
/*list answer, ie "books about magic"*/
#status li:nth-child(even) {
  background: var(--pinned-bg);
  color: var(--pinned-text);
  border-radius: .3em;
  padding-inline: .8em;
}
/*make links the same as in posts*/
#status li a {color: var(--pinned-text);}
#status li a:hover {text-decoration: none;}

#page{
  background: var(--post-bg);
  color: var(--post-text);
  border-radius: 1rem;
  padding: 0 .8rem .2rem .8rem;
  margin-bottom: 1em;
  box-shadow: 2px 2px 6px var(--border-shadow);
  min-width: 100%;
}

.h-entry p{
  margin: 1em 0;
}

.h-entry li{
  margin: 0 1.75em;
}

#page{
  line-height: 2;
  margin: 0.75em 0;
  padding: 0 1.5em 1.5em;
  font-size: 1.05em;
}

#page h1{
  border-bottom: 3px dashed var(--border-color);
  font-weight: 500;
  font-size: 2.25em;
  margin: 0.5em 0;
}

#page h2{
  border-bottom: 2.5px dashed var(--border-color);
  margin: 0.25em 0;
  font-size: 1.5em;
  font-weight: 600;

}

#page h3{
  margin: 0 0.5em;
  font-size: 1.25em;
}

#page h4{
  margin: 0 1.25em;
  font-size: 1.25em;
  font-style: italic;
  font-weight: 300;
}

#page ul{
  margin: 0 3em;
}

#page ul li ul{
  margin: 0 2em;
}

#page p{
  margin: 0.5em;
}

#page a{
  color: var(--sidebar-button-text-hover);
  text-decoration: none;
}

/*finally the post styles!!!*/
.post {
  background: var(--post-bg);
  color: var(--post-text);
  border-radius: 1rem;
  padding: 0 .8rem .2rem .8rem;
  margin-bottom: 1em;
  box-shadow: 2px 2px 6px var(--border-shadow);
  min-width: 100%;
}
/*make sure images stay within the post*/
.post img {max-width:100%;}
/*add some space from the post header if you have an image first*/
.post div + img {margin-top: 1em;}

/*the top of the post where you put your username*/
.post-header {
  color: var(--post-header-text);
  font-weight: bold;
  padding: .5rem 0;
  display: flex;
  justify-content: space-between;
  border-bottom: 2px dashed var(--border-color);
}
/*and the post's timestamp*/
.post time {
  /* float: right; */
  font-weight: normal;
  font-size: smaller;
  margin: .2em;
}
/*link styling*/
.post a {color:var(--post-text);}
.post a:hover {text-decoration: none;}

/*this is for lists*/
.post li {
/*you can change the normal dot to anything you want :)*/
  /*list-style-type: "♥ ";*/
/*i used stars to match the bg image!*/
  list-style-image: url("images/star.png");
}

/*"read more" button for long posts*/
.readmore {
  margin-bottom: 1em;
}
.readmore summary {
  font-weight: bold;
  color: var(--post-header-text);
  /*this gets rid of the arrow*/
  list-style-type: none;
}
/*hide the "read more" button after it's clicked (delete this line to keep it there)*/
.readmore[open] > summary {display:none;}
/*optional border to denote a border was there before*/
.readmore[open] {
  border-top: 2px dashed var(--button-bg);
  padding-top:1em;
}

.tags {
  border-top: 2px dashed var(--border-color);
  padding: .4em 0;
}
.tags a {color: var(--post-text);}
.tags span {color: var(--post-header-text);}
.tags a,
.tags span {
  font-size: small;
  padding: .2em .5em;
  border-radius: 1em;
  text-decoration: none;
}
.tags a:hover {
  background:var(--button-bg);
  text-decoration: underline;
}

/*css for hiding posts*/
.tagged:has(input:checked) article {display: none;}

/*add new tags to filter here!
 * follow the class naming conventions (no spaces, don't start it with a number)
 * remember on the actual page you can write the tag however you want!*/
.tagged:has(#all:checked) article,
.tagged:has(#intro:checked) article[class~="intro"],
.tagged:has(#personal:checked) article[class~="personal"],
.tagged:has(#reading:checked) article[class~="reading"],
.tagged:has(#writing:checked) article[class~="writing"],
.tagged:has(#anime:checked) article[class~="anime"],
.tagged:has(#blogging:checked) article[class~="blogging"],
.tagged:has(#coding:checked) article[class~="coding"],
.tagged:has(#listening:checked) article[class~="listening"],
.tagged:has(#linking:checked) article[class~="linking"],
.tagged:has(#art:checked) article[class~="art"] {display: inline-block;}

/*tag filter button styles (there's a lot)*/
#tag-filters label {
  background: var(--button-bg);
  border: 1px solid var(--button-border-color);
  border-radius: .5em;
  display: inline-block;
  margin-left: .5em;
  margin-block: .3em;
  padding: 0 .8em 0 .1em;
}
/*hovering filter buttons (normal)*/
#tag-filters label:hover {
  background: var(--button-bg-hover);
  text-decoration: underline;
}
/*selected filters*/
#tag-filters label:has(input:checked) {
  background: var(--button-bg-selected);
  color: var(--button-text);
  text-decoration: underline;
  font-weight: bold;
}
/*hovering selected filters*/
#tag-filters label:has(input:checked):hover {
  background: var(--button-bg-hover);
  text-decoration: none;
}
/*hide the radio button for tags*/
#tag-filters input {appearance: none;}

/*for the "back to top" link at the bottom of the page*/
#page-nav{
    margin: 1.5em auto;
}
#page-nav a {color:var(--sidebar-text);}
#page-nav a:hover {text-decoration: none;}

.center{
    text-align: center;
}

.stamp{
  width: 88px;
}

footer{
    display: block;
}

@media screen and (min-width: 800px) {
    #container{
    max-width: 950px;
    /* width: calc(100% - 20px); */
    width: 80%;
    display: flex;
    margin: 0 auto;
    gap: 20px;
    }

    aside{
        flex: 1 1 calc(25% - 20px);
        /* height: 100%; */
        margin: 25px 0;
        /* border-inline: 2px dashed var(--sidebar-border-color); */
        /* outline: 4px solid var(--sidebar-bg); */
        
    }

    main{
        flex: 1 1 calc(75% - 10px);
        /* display: flex; */
        flex-wrap: wrap;
        gap: 10px;
        width: 100%;
    }

    #sidebar-content{
        position: sticky;
        top: 10px;
        padding: 10px 15px 10px;
        /* margin-left: 20px; */
        margin: 0 auto;
        padding: 1em;
        border-inline: 2px dashed var(--sidebar-border-color);
        border-radius: 1em;
    }

    
    /*and add some spacing around them too*/
    #sidebar nav {
    margin-block:1.5em;
    }

    .pc-only{
        display: block;
    }

    .icon img{
        text-align: center;
    }

    .full{
        flex: 1 1  calc(100% - 40px);
    } 

    #page-nav{
    margin: 0.25em auto;
    }

    footer {
    color: var(--sidebar-text);
    background: var(--sidebar-bg);
    /*in the html the footer is at the very end, but when looking at the site you see it at the bottom of the sidebar!*/
    z-index: 100;
    position: sticky;
    /*make it the same length/positioning as the sidebar*/
    /* margin-left:22px; */
    /* width:236px; */
    width: 100%;
    bottom:0;
    font-size: small;
    /*semitransparent so you can see any content that goes under it*/
    /* opacity:60%; */
    border-radius: 1em;
    /* height: 4em; */
    }

    footer p{
        padding: 0.5em;
        text-align: center;
    }
    
}